#!/usr/bin/env python3

from os import mkdir
from os.path import exists, expanduser
from pathlib import Path
from shlex import split
from subprocess import run

from requests import get

home = expanduser("~/")
clones = Path(f"{home}/.abra/apps").absolute()
if not exists(clones):
    mkdir(clones)

response = get("https://git.autonomic.zone/api/v1/orgs/coop-cloud/repos")
repos = [[p["name"], p["ssh_url"]] for p in response.json()]
for name, url in repos:
    try:
        run(split(f"git clone {url} {clones}/{name}"))
    except Exception:
        pass
